scoreboard players reset startTimer stats
scoreboard players set inGame stats 1
playsound minecraft:entity.ender_dragon.growl master @a ~ ~ ~ 1000 1 1
title @a title {"text":"Game Started","color":"green"}
title @a subtitle {"text":"Blow 'em up!","color":"gray"}
execute at @e[name="spawn",type=area_effect_cloud,tag=red] run tp @a[team=red] ~ ~ ~ ~ ~
execute at @e[name="spawn",type=area_effect_cloud,tag=green] run tp @a[team=green] ~ ~ ~ ~ ~
team leave @a[team=creator]
tp @a[team=] @r[team=red,limit=1]
gamemode spectator @a
gamemode survival @a[team=!]
clear @a
scoreboard players set itemSpawn stats 1
execute as @a[gamemode=survival] at @s run function chop:game/get_bow
execute if score pickaxe options matches 1 as @a[gamemode=survival] at @s run function chop:game/get_pickaxe
function chop:game/give_items
spawnpoint @a[team=green] 62 50 87
spawnpoint @a[team=red] -63 50 87
effect clear @a

fill -86 0 125 95 128 125 minecraft:barrier

scoreboard players set players stats 0
execute as @a[gamemode=survival] run scoreboard players add players stats 1
execute if score players stats matches 1..3 run scoreboard players set itemSpawnTime stats 90
execute if score players stats matches 4..5 run scoreboard players set itemSpawnTime stats 130
execute if score players stats matches 6..7 run scoreboard players set itemSpawnTime stats 180
execute if score players stats matches 8.. run scoreboard players set itemSpawnTime stats 250

execute if score item_rate options matches 3 run scoreboard players remove itemSpawnTime stats 60
execute if score item_rate options matches 2 run scoreboard players add itemSpawnTime stats 0
execute if score item_rate options matches 1 run scoreboard players add itemSpawnTime stats 100
execute if score item_rate options matches 0 run scoreboard players add itemSpawnTime stats 200

execute if score respawn_time options matches 3 run scoreboard players set respawnTime stats 200
execute if score respawn_time options matches 2 run scoreboard players set respawnTime stats 100
execute if score respawn_time options matches 1 run scoreboard players set respawnTime stats 60
execute if score respawn_time options matches 0 run scoreboard players set respawnTime stats 0

scoreboard players reset * death
scoreboard players reset * respawn
scoreboard players reset * elytra

execute if score fall_damage options matches 0 run gamerule fallDamage false
execute if score fall_damage options matches 1 run gamerule fallDamage true

scoreboard objectives setdisplay below_name health

execute if score elytra options matches 1 run item replace entity @a armor.chest with elytra{Damage: 429, Enchantments: [{id: "minecraft:binding_curse", lvl: 1s}]}
execute if score elytra options matches 1 run tellraw @a {"text":"Warning: Everyone has an Elytra, but it only lasts for 3 seconds!","color":"gray","bold":"true"}

data merge entity @e[tag=start,limit=1] {CustomName:'{"text":"Start","color":"green"}'}

scoreboard players set redBreach stats 0
scoreboard players set greenBreach stats 0

scoreboard players set @a[team=green] breakGreenGlass 1
scoreboard players set @a[team=red] breakRedGlass 1

execute as @a run function chop:game/get_armor

execute as @a run function chop:lobby/get_admin_book


scoreboard players add $max gameID 1
scoreboard players operation @a[team=!] gameID = $max gameID

scoreboard players enable @a endGame